# mysqli_stmt::next_result

# mysqli_stmt_next_result

(PHP 5 >= 5.3.0, PHP 7)

mysqli_stmt::next_result -- mysqli_stmt_next_result — Reads the next result from a multiple query

### Description

Object oriented style (method):

public mysqli_stmt::next_result ( void ) : bool

Procedural style:

mysqli_stmt_next_result ( mysql_stmt `$stmt` ) : bool

Reads the next result from a multiple query.

### Parameters

`stmt`

  Procedural style only: A statement identifier returned by mysqli_stmt_init().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Emits an `E_STRICT` level error if a result set does not exist, and suggests using mysqli_stmt::more_results() in these cases, before calling mysqli_stmt::next_result().

### MySQL Native Driver Only

Available only with mysqlnd.

### See Also

- mysqli_stmt::more_results() - Check if there are more query results from a multiple query
- mysqli::multi_query() - Performs a query on the database